Bug 1571974 - SageMath installation dependencies missing
Summary: SageMath installation dependencies missing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sagemath
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 20:42 UTC by deadalps
Modified: 2018-11-30 22:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:56:38 UTC
Type: Bug


Attachments (Terms of Use)

Description deadalps 2018-04-25 20:42:26 UTC
Description of problem:

Hello,

I just set up a new fedora (release 27) and installed sage math using the
dnf package manager. in order to start sage I had to install ipython (some
dependencies) and, there are also seem to be some packages missing to solve
mixed integer programs... I managed to change the error message by
installing some further packages but at some point just downloaded the full
tar.bz2 from the sage website, which works without any problems

however, since this seems to be a dependency problem please take a look or
forward to the responsible developers

PS: I have also filed this bug this afternoon in the SageMath bugtracker and was then asked to forward it here (cf. https://groups.google.com/forum/#!topic/sage-support/X4td3AFG4rM)
 
Best regards,
Manfred



Version-Release number of selected component (if applicable):


How reproducible:
set up fresh fedora and install sage

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ben Cotton 2018-11-27 14:17:54 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 22:56:38 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.